## edu.brook
Class Player

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          edu.brook.Player

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class Player

extends CellOccupant

Player Java Implementation. Generated by AMF for model: DemographicPrisoner_sDilemma.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`Player()` Constructs a new Player.

Method Summary
`void` `calculateTimeStep(int timeStep)`
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` `dieAtAge()` Die At Age Rule.
`void` `dieAtWealth0()` Die At Wealth 0 Rule.
`void` `fissionRule()` Fission Rule Rule.
`int` `getAge()` Gets the Age property for Player.
`java.util.List<IAgentChild>` `getChildren()`
`DemographicPrisonersDilemma` `getDemographicPrisoner_sDilemma()`
`java.lang.String` `getName()`
`long` `getUID()`
`int` `getWealth()` Gets the Wealth property for Player.
`void` `intializeNonFramework()` Initialize Initialization.
`boolean` `isCooperate()` Gets the Cooperate property for Player.
`void` `moveToRandomLocation()` Move To Random Location Initialization.
`void` `playNeighbor()` Play Neighbor Rule.
`void` `randomWalk()` Random Walk Rule.
`void` `setAge(int _age)` Sets the Age property for Player.
`void` `setCooperate(boolean _cooperate)` Sets the Cooperate property for Player.
`void` `setWealth(int _wealth)` Sets the Wealth property for Player.
`void` `startSimulationAgentChild(int timeStep)`
`void` `updateAge()` Update Age Rule.

Methods inherited from class org.ascape.model.CellOccupant

`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToward, playNeighbors, playRandomNeighbor, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, initialize, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant, toString`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### Player

    public Player()

  Constructs a new Player.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `CellOccupant`
  Returns:
    the object

### getDemographicPrisoner_sDilemma

    public DemographicPrisonersDilemma getDemographicPrisoner_sDilemma()

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### intializeNonFramework

    public void intializeNonFramework()

  Initialize Initialization. Executed once at the beginning of each model run.

### moveToRandomLocation

    public void moveToRandomLocation()

  Move To Random Location Initialization. Executed once at the beginning of each model run.

  Overrides:
    `moveToRandomLocation` in class `CellOccupant`

### randomWalk

    public void randomWalk()

  Random Walk Rule. Executed every period.

  Overrides:
    `randomWalk` in class `CellOccupant`
  See Also:
    `this.randomWalkAvailable()`

### playNeighbor

    public void playNeighbor()

  Play Neighbor Rule. Executed every period.

### updateAge

    public void updateAge()

  Update Age Rule. Executed every period.

### fissionRule

    public void fissionRule()

  Fission Rule Rule. Executed every period.

### dieAtAge

    public void dieAtAge()

  Die At Age Rule. Executed every period.

### dieAtWealth0

    public void dieAtWealth0()

  Die At Wealth 0 Rule. Executed every period.

### isCooperate

    public boolean isCooperate()

  Gets the Cooperate property for Player.

  Returns:

### setCooperate

    public void setCooperate(boolean _cooperate)

  Sets the Cooperate property for Player.

  Parameters:
    `_cooperate` - the new Cooperate value

### getAge

    public int getAge()

  Gets the Age property for Player.

  Returns:

### setAge

    public void setAge(int _age)

  Sets the Age property for Player.

  Parameters:
    `_age` - the new Age value

### getWealth

    public int getWealth()

  Gets the Wealth property for Player.

  Returns:

### setWealth

    public void setWealth(int _wealth)

  Sets the Wealth property for Player.

  Parameters:
    `_wealth` - the new Wealth value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`